Skip to main content
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
members
/
{memberId}
/
cards
/
{cardId}
/
transactions
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "card_id": "<string>",
      "program_id": "<string>",
      "member_id": "<string>",
      "card_definition_id": "<string>",
      "card_type": "INDIVIDUAL",
      "details": {
        "reason": "<string>",
        "rejection": {
          "reason": "<string>",
          "details": "<string>"
        },
        "metadata": {},
        "points": {
          "total": 123,
          "expiration_date": "2023-12-25",
          "date": "2023-12-25"
        },
        "bucket": {
          "id": "<string>",
          "points": {
            "total": 123
          },
          "expiration_date": "2023-12-25"
        },
        "buckets": [
          {
            "id": "<string>",
            "points": {
              "total": 123
            },
            "expiration_date": "2023-12-25"
          }
        ],
        "date": "2023-12-25",
        "reward": {
          "id": "<string>"
        },
        "reward_transaction": {
          "id": "<string>"
        },
        "card_transaction": {
          "id": "<string>"
        },
        "purchase": {
          "card_transaction": {
            "id": "<string>"
          },
          "reward_transaction": {
            "id": "<string>"
          }
        },
        "order": {
          "id": "<string>"
        },
        "order_transaction": {
          "id": "<string>"
        },
        "target_card": {
          "id": "<string>"
        },
        "purchase_transaction": {
          "id": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "object": "<string>"
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "object": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Loyalty program ID (format lprg_[a-f0-9]+).

Pattern: ^lprg_[a-f0-9]+$
memberId
string
required

Program member ID (format lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$
cardId
string
required

Loyalty card ID (format lcrd_[a-f0-9]+).

Pattern: ^lcrd_[a-f0-9]+$

Query Parameters

limit
integer | null
default:10

Maximum number of transactions to return. Must be between 1 and 100. Defaults to 10 when not provided.

Required range: 1 <= x <= 100
order

Field(s) to order results by. Valid orders are -created_at and created_at; defaults to -created_at. Ordering by the same field in both directions simultaneously is rejected.

Available options:
-created_at,
created_at
cursor
string | null

Pagination cursor returned in the cursor.next field of a previous response. Must match the pattern ^lcrsctx_[a-f0-9]+$.

Pattern: ^lcrsctx_[a-f0-9]+$
filters
object | null

Field-specific filter conditions, passed as a deep object, e.g. filters[id][conditions][$is]=lctx_0f5d0a8878caa3ee5c. See the CardTransactionListFilters schema for available fields and conditions.

Filters for the card transactions list.

Response

Cursor-paginated list of card transactions.

Cursor-paginated list of card transactions.

data
object[]
required

Card transactions on the current page.

cursor
object | null
required

Pagination cursor, or null when there are no more results.

object
string
required

Object type marker, always list.

Allowed value: "list"
Last modified on July 10, 2026